package jacorb.orb.domain;
/**
 * ManagePolicyImpl.java
 *
 *
 * Created: Tue Feb 29 14:27:21 2000
 *
 * @author Herbert Kiefer
 * @version $Revision: 1.1 $
 */

public class ManagePolicyImpl extends jacorb.orb.domain.ManagePolicyPOA 
{
  
  /** a brief description ot this policy */
  protected String _short_description;
  /** a long description of this polic   */
  protected String  _long_description;
  
  // constructors 
  public ManagePolicyImpl() { this("", ""); }
  public ManagePolicyImpl(String short_desc) { this(short_desc, ""); }
  public ManagePolicyImpl(String short_desc, String long_desc) 
  {
    _short_description= short_desc;
    _long_description=  long_desc;
  }

  // members
  public java.lang.String short_description() 
  { return _short_description; }

  public void short_description(java.lang.String arg)
  { _short_description= arg; }

  
  public java.lang.String long_description()  
  { return _long_description; }

  public void long_description(java.lang.String arg)
  { _long_description= arg; }

  // inherited members from org.omg.CORBA.Policy

  public int policy_type()
    { return MANAGE_POLICY_ID.value; }

  public org.omg.CORBA.Policy copy() 
  { // the _this() may be dangerous if the orb is not set
    return (new ManagePolicyImpl(_short_description,_long_description))._this();
  }
  public void destroy() {}
  
} // ManagePolicyImpl
